Subject: Re: "Read my lips: no more merges" - aka Linux 2.6.14-rc1

From: Theodore Ts'o <[email-masked]>
Date: Fri, 16 Sep 2005 09:56:41 -0400

On Fri, Sep 16, 2005 at 12:08:12AM +0200, Christian Meder wrote:
> Debian prefers to call the symlink "pager" and let the sysadmin decide
> where it should point: less, more, whatever. The e2fsprogs upstream
> package for instance supports PAGER->/usr/bin/pager->/usr/bin/less.
> Granted /usr/bin/pager is probably Debian only but every upstream author
> deciding whether to use PAGER:more or PAGER:less is not _that_ much
> better. 

Actually, debugfs uses $DEBUGFS_PAGER:$PAGER:pager:more:less as its
search path, where it looks for each executable in /usr/bin, /bin, and
the current directory.

Overkill, yes; but it was the best way to shut up the whiny debian
users who kept on filing bug reports.  (Yes, yes, I'm softie.
Besides, it's userspace, and compared to GNOME, KDE, or Mozilla, the
bloat involved isn't even measurable.  :-)

							- Ted